diff --git a/_ide_helper.php b/_ide_helper.php
index b307038..8aa4dcb 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -1358,747 +1314,380 @@ namespace {
             return \Illuminate\Auth\AuthManager::createUserProvider($provider);
         }
         
+    }
+
+
+    class Blade extends \Illuminate\Support\Facades\Blade{
+        
         /**
-         * Get the currently authenticated user.
+         * Compile the view at the given path.
          *
-         * @return \Portal\User|null 
+         * @param string $path
+         * @return void 
          * @static 
          */
-        public static function user(){
-            return \Illuminate\Auth\SessionGuard::user();
+        public static function compile($path = null){
+            \Illuminate\View\Compilers\BladeCompiler::compile($path);
         }
         
         /**
-         * Get the ID for the currently authenticated user.
+         * Get the path currently being compiled.
          *
-         * @return int|null 
+         * @return string 
          * @static 
          */
-        public static function id(){
-            return \Illuminate\Auth\SessionGuard::id();
+        public static function getPath(){
+            return \Illuminate\View\Compilers\BladeCompiler::getPath();
         }
         
         /**
-         * Log a user into the application without sessions or cookies.
+         * Set the path currently being compiled.
          *
-         * @param array $credentials
-         * @return bool 
+         * @param string $path
+         * @return void 
          * @static 
          */
-        public static function once($credentials = array()){
-            return \Illuminate\Auth\SessionGuard::once($credentials);
+        public static function setPath($path){
+            \Illuminate\View\Compilers\BladeCompiler::setPath($path);
         }
         
         /**
-         * Validate a user's credentials.
+         * Compile the given Blade template contents.
          *
-         * @param array $credentials
-         * @return bool 
+         * @param string $value
+         * @return string 
          * @static 
          */
-        public static function validate($credentials = array()){
-            return \Illuminate\Auth\SessionGuard::validate($credentials);
+        public static function compileString($value){
+            return \Illuminate\View\Compilers\BladeCompiler::compileString($value);
         }
         
         /**
-         * Attempt to authenticate using HTTP Basic Auth.
+         * Compile the default values for the echo statement.
          *
-         * @param string $field
-         * @param array $extraConditions
-         * @return \Symfony\Component\HttpFoundation\Response|null 
+         * @param string $value
+         * @return string 
          * @static 
          */
-        public static function basic($field = 'email', $extraConditions = array()){
-            return \Illuminate\Auth\SessionGuard::basic($field, $extraConditions);
+        public static function compileEchoDefaults($value){
+            return \Illuminate\View\Compilers\BladeCompiler::compileEchoDefaults($value);
         }
         
         /**
-         * Perform a stateless HTTP Basic login attempt.
+         * Get the extensions used by the compiler.
          *
-         * @param string $field
-         * @param array $extraConditions
-         * @return \Symfony\Component\HttpFoundation\Response|null 
+         * @return array 
          * @static 
          */
-        public static function onceBasic($field = 'email', $extraConditions = array()){
-            return \Illuminate\Auth\SessionGuard::onceBasic($field, $extraConditions);
+        public static function getExtensions(){
+            return \Illuminate\View\Compilers\BladeCompiler::getExtensions();
         }
         
         /**
-         * Attempt to authenticate a user using the given credentials.
+         * Register a custom Blade compiler.
          *
-         * @param array $credentials
-         * @param bool $remember
-         * @param bool $login
-         * @return bool 
+         * @param callable $compiler
+         * @return void 
          * @static 
          */
-        public static function attempt($credentials = array(), $remember = false, $login = true){
-            return \Illuminate\Auth\SessionGuard::attempt($credentials, $remember, $login);
+        public static function extend($compiler){
+            \Illuminate\View\Compilers\BladeCompiler::extend($compiler);
         }
         
         /**
-         * Register an authentication attempt event listener.
+         * Register a handler for custom directives.
          *
-         * @param mixed $callback
+         * @param string $name
+         * @param callable $handler
          * @return void 
          * @static 
          */
-        public static function attempting($callback){
-            \Illuminate\Auth\SessionGuard::attempting($callback);
+        public static function directive($name, $handler){
+            \Illuminate\View\Compilers\BladeCompiler::directive($name, $handler);
         }
         
         /**
-         * Log a user into the application.
+         * Get the list of custom directives.
          *
-         * @param \Illuminate\Contracts\Auth\Authenticatable $user
-         * @param bool $remember
-         * @return void 
+         * @return array 
          * @static 
          */
-        public static function login($user, $remember = false){
-            \Illuminate\Auth\SessionGuard::login($user, $remember);
+        public static function getCustomDirectives(){
+            return \Illuminate\View\Compilers\BladeCompiler::getCustomDirectives();
         }
         
         /**
-         * Log the given user ID into the application.
+         * Gets the raw tags used by the compiler.
          *
-         * @param mixed $id
-         * @param bool $remember
-         * @return \Portal\User|false 
+         * @return array 
          * @static 
          */
-        public static function loginUsingId($id, $remember = false){
-            return \Illuminate\Auth\SessionGuard::loginUsingId($id, $remember);
+        public static function getRawTags(){
+            return \Illuminate\View\Compilers\BladeCompiler::getRawTags();
         }
         
         /**
-         * Log the given user ID into the application without sessions or cookies.
+         * Sets the raw tags used for the compiler.
          *
-         * @param mixed $id
-         * @return \Portal\User|false 
+         * @param string $openTag
+         * @param string $closeTag
+         * @return void 
          * @static 
          */
-        public static function onceUsingId($id){
-            return \Illuminate\Auth\SessionGuard::onceUsingId($id);
+        public static function setRawTags($openTag, $closeTag){
+            \Illuminate\View\Compilers\BladeCompiler::setRawTags($openTag, $closeTag);
         }
         
         /**
-         * Log the user out of the application.
+         * Sets the content tags used for the compiler.
          *
+         * @param string $openTag
+         * @param string $closeTag
+         * @param bool $escaped
          * @return void 
          * @static 
          */
-        public static function logout(){
-            \Illuminate\Auth\SessionGuard::logout();
+        public static function setContentTags($openTag, $closeTag, $escaped = false){
+            \Illuminate\View\Compilers\BladeCompiler::setContentTags($openTag, $closeTag, $escaped);
         }
         
         /**
-         * Get the cookie creator instance used by the guard.
+         * Sets the escaped content tags used for the compiler.
          *
-         * @return \Illuminate\Contracts\Cookie\QueueingFactory 
-         * @throws \RuntimeException
+         * @param string $openTag
+         * @param string $closeTag
+         * @return void 
          * @static 
          */
-        public static function getCookieJar(){
-            return \Illuminate\Auth\SessionGuard::getCookieJar();
+        public static function setEscapedContentTags($openTag, $closeTag){
+            \Illuminate\View\Compilers\BladeCompiler::setEscapedContentTags($openTag, $closeTag);
         }
         
         /**
-         * Set the cookie creator instance used by the guard.
+         * Gets the content tags used for the compiler.
          *
-         * @param \Illuminate\Contracts\Cookie\QueueingFactory $cookie
-         * @return void 
+         * @return string 
          * @static 
          */
-        public static function setCookieJar($cookie){
-            \Illuminate\Auth\SessionGuard::setCookieJar($cookie);
+        public static function getContentTags(){
+            return \Illuminate\View\Compilers\BladeCompiler::getContentTags();
         }
         
         /**
-         * Get the event dispatcher instance.
+         * Gets the escaped content tags used for the compiler.
          *
-         * @return \Illuminate\Contracts\Events\Dispatcher 
+         * @return string 
          * @static 
          */
-        public static function getDispatcher(){
-            return \Illuminate\Auth\SessionGuard::getDispatcher();
+        public static function getEscapedContentTags(){
+            return \Illuminate\View\Compilers\BladeCompiler::getEscapedContentTags();
         }
         
         /**
-         * Set the event dispatcher instance.
+         * Set the echo format to be used by the compiler.
          *
-         * @param \Illuminate\Contracts\Events\Dispatcher $events
+         * @param string $format
          * @return void 
          * @static 
          */
-        public static function setDispatcher($events){
-            \Illuminate\Auth\SessionGuard::setDispatcher($events);
+        public static function setEchoFormat($format){
+            \Illuminate\View\Compilers\BladeCompiler::setEchoFormat($format);
         }
         
         /**
-         * Get the session store used by the guard.
+         * Get the path to the compiled version of a view.
          *
-         * @return \Illuminate\Session\Store 
+         * @param string $path
+         * @return string 
          * @static 
          */
-        public static function getSession(){
-            return \Illuminate\Auth\SessionGuard::getSession();
+        public static function getCompiledPath($path){
+            //Method inherited from \Illuminate\View\Compilers\Compiler            
+            return \Illuminate\View\Compilers\BladeCompiler::getCompiledPath($path);
         }
         
         /**
-         * Get the user provider used by the guard.
+         * Determine if the view at the given path is expired.
          *
-         * @return \Illuminate\Contracts\Auth\UserProvider 
+         * @param string $path
+         * @return bool 
          * @static 
          */
-        public static function getProvider(){
-            return \Illuminate\Auth\SessionGuard::getProvider();
+        public static function isExpired($path){
+            //Method inherited from \Illuminate\View\Compilers\Compiler            
+            return \Illuminate\View\Compilers\BladeCompiler::isExpired($path);
         }
         
+    }
+
+
+    class Bus extends \Illuminate\Support\Facades\Bus{
+        
         /**
-         * Set the user provider used by the guard.
+         * Dispatch a command to its appropriate handler.
          *
-         * @param \Illuminate\Contracts\Auth\UserProvider $provider
-         * @return void 
+         * @param mixed $command
+         * @return mixed 
          * @static 
          */
-        public static function setProvider($provider){
-            \Illuminate\Auth\SessionGuard::setProvider($provider);
+        public static function dispatch($command){
+            return \Illuminate\Bus\Dispatcher::dispatch($command);
         }
         
         /**
-         * Return the currently cached user.
+         * Dispatch a command to its appropriate handler in the current process.
          *
-         * @return \Portal\User|null 
+         * @param mixed $command
+         * @return mixed 
          * @static 
          */
-        public static function getUser(){
-            return \Illuminate\Auth\SessionGuard::getUser();
+        public static function dispatchNow($command){
+            return \Illuminate\Bus\Dispatcher::dispatchNow($command);
         }
         
         /**
-         * Set the current user.
+         * Dispatch a command to its appropriate handler behind a queue.
          *
-         * @param \Illuminate\Contracts\Auth\Authenticatable $user
-         * @return $this 
+         * @param mixed $command
+         * @return mixed 
+         * @throws \RuntimeException
          * @static 
          */
-        public static function setUser($user){
-            return \Illuminate\Auth\SessionGuard::setUser($user);
+        public static function dispatchToQueue($command){
+            return \Illuminate\Bus\Dispatcher::dispatchToQueue($command);
         }
         
         /**
-         * Get the current request instance.
+         * Set the pipes through which commands should be piped before dispatching.
          *
-         * @return \Symfony\Component\HttpFoundation\Request 
+         * @param array $pipes
+         * @return $this 
          * @static 
          */
-        public static function getRequest(){
-            return \Illuminate\Auth\SessionGuard::getRequest();
+        public static function pipeThrough($pipes){
+            return \Illuminate\Bus\Dispatcher::pipeThrough($pipes);
         }
         
+    }
+
+
+    class Cache extends \Illuminate\Support\Facades\Cache{
+        
         /**
-         * Set the current request instance.
+         * Get a cache store instance by name.
          *
-         * @param \Symfony\Component\HttpFoundation\Request $request
-         * @return $this 
+         * @param string|null $name
+         * @return mixed 
          * @static 
          */
-        public static function setRequest($request){
-            return \Illuminate\Auth\SessionGuard::setRequest($request);
+        public static function store($name = null){
+            return \Illuminate\Cache\CacheManager::store($name);
         }
         
         /**
-         * Get the last user we attempted to authenticate.
+         * Get a cache driver instance.
          *
-         * @return \Portal\User 
+         * @param string $driver
+         * @return mixed 
          * @static 
          */
-        public static function getLastAttempted(){
-            return \Illuminate\Auth\SessionGuard::getLastAttempted();
+        public static function driver($driver = null){
+            return \Illuminate\Cache\CacheManager::driver($driver);
         }
         
         /**
-         * Get a unique identifier for the auth session value.
+         * Create a new cache repository with the given implementation.
          *
-         * @return string 
+         * @param \Illuminate\Contracts\Cache\Store $store
+         * @return \Illuminate\Cache\Repository 
          * @static 
          */
-        public static function getName(){
-            return \Illuminate\Auth\SessionGuard::getName();
+        public static function repository($store){
+            return \Illuminate\Cache\CacheManager::repository($store);
         }
         
         /**
-         * Get the name of the cookie used to store the "recaller".
+         * Get the default cache driver name.
          *
          * @return string 
          * @static 
          */
-        public static function getRecallerName(){
-            return \Illuminate\Auth\SessionGuard::getRecallerName();
+        public static function getDefaultDriver(){
+            return \Illuminate\Cache\CacheManager::getDefaultDriver();
         }
         
         /**
-         * Determine if the user was authenticated via "remember me" cookie.
+         * Set the default cache driver name.
          *
-         * @return bool 
+         * @param string $name
+         * @return void 
          * @static 
          */
-        public static function viaRemember(){
-            return \Illuminate\Auth\SessionGuard::viaRemember();
+        public static function setDefaultDriver($name){
+            \Illuminate\Cache\CacheManager::setDefaultDriver($name);
         }
         
         /**
-         * Determine if the current user is authenticated.
+         * Register a custom driver creator Closure.
          *
-         * @return bool 
+         * @param string $driver
+         * @param \Closure $callback
+         * @return $this 
          * @static 
          */
-        public static function check(){
-            return \Illuminate\Auth\SessionGuard::check();
+        public static function extend($driver, $callback){
+            return \Illuminate\Cache\CacheManager::extend($driver, $callback);
         }
         
         /**
-         * Determine if the current user is a guest.
+         * Set the event dispatcher instance.
          *
-         * @return bool 
+         * @param \Illuminate\Contracts\Events\Dispatcher $events
+         * @return void 
          * @static 
          */
-        public static function guest(){
-            return \Illuminate\Auth\SessionGuard::guest();
+        public static function setEventDispatcher($events){
+            \Illuminate\Cache\Repository::setEventDispatcher($events);
         }
         
         /**
-         * Determine if the current user is authenticated.
+         * Determine if an item exists in the cache.
          *
-         * @return \Portal\User 
-         * @throws \Illuminate\Auth\AuthenticationException
+         * @param string $key
+         * @return bool 
          * @static 
          */
-        public static function authenticate(){
-            return \Illuminate\Auth\SessionGuard::authenticate();
+        public static function has($key){
+            return \Illuminate\Cache\Repository::has($key);
         }
         
-    }
-
-
-    class Blade extends \Illuminate\Support\Facades\Blade{
-        
         /**
-         * Compile the view at the given path.
+         * Retrieve an item from the cache by key.
          *
-         * @param string $path
-         * @return void 
+         * @param string $key
+         * @param mixed $default
+         * @return mixed 
          * @static 
          */
-        public static function compile($path = null){
-            \Illuminate\View\Compilers\BladeCompiler::compile($path);
+        public static function get($key, $default = null){
+            return \Illuminate\Cache\Repository::get($key, $default);
         }
         
         /**
-         * Get the path currently being compiled.
+         * Retrieve multiple items from the cache by key.
+         * 
+         * Items not found in the cache will have a null value.
          *
-         * @return string 
+         * @param array $keys
+         * @return array 
          * @static 
          */
-        public static function getPath(){
-            return \Illuminate\View\Compilers\BladeCompiler::getPath();
+        public static function many($keys){
+            return \Illuminate\Cache\Repository::many($keys);
         }
         
         /**
-         * Set the path currently being compiled.
-         *
-         * @param string $path
-         * @return void 
-         * @static 
-         */
-        public static function setPath($path){
-            \Illuminate\View\Compilers\BladeCompiler::setPath($path);
-        }
-        
-        /**
-         * Compile the given Blade template contents.
-         *
-         * @param string $value
-         * @return string 
-         * @static 
-         */
-        public static function compileString($value){
-            return \Illuminate\View\Compilers\BladeCompiler::compileString($value);
-        }
-        
-        /**
-         * Compile the default values for the echo statement.
-         *
-         * @param string $value
-         * @return string 
-         * @static 
-         */
-        public static function compileEchoDefaults($value){
-            return \Illuminate\View\Compilers\BladeCompiler::compileEchoDefaults($value);
-        }
-        
-        /**
-         * Strip the parentheses from the given expression.
-         *
-         * @param string $expression
-         * @return string 
-         * @static 
-         */
-        public static function stripParentheses($expression){
-            return \Illuminate\View\Compilers\BladeCompiler::stripParentheses($expression);
-        }
-        
-        /**
-         * Get the extensions used by the compiler.
-         *
-         * @return array 
-         * @static 
-         */
-        public static function getExtensions(){
-            return \Illuminate\View\Compilers\BladeCompiler::getExtensions();
-        }
-        
-        /**
-         * Register a custom Blade compiler.
-         *
-         * @param callable $compiler
-         * @return void 
-         * @static 
-         */
-        public static function extend($compiler){
-            \Illuminate\View\Compilers\BladeCompiler::extend($compiler);
-        }
-        
-        /**
-         * Register a handler for custom directives.
-         *
-         * @param string $name
-         * @param callable $handler
-         * @return void 
-         * @static 
-         */
-        public static function directive($name, $handler){
-            \Illuminate\View\Compilers\BladeCompiler::directive($name, $handler);
-        }
-        
-        /**
-         * Get the list of custom directives.
-         *
-         * @return array 
-         * @static 
-         */
-        public static function getCustomDirectives(){
-            return \Illuminate\View\Compilers\BladeCompiler::getCustomDirectives();
-        }
-        
-        /**
-         * Gets the raw tags used by the compiler.
-         *
-         * @return array 
-         * @static 
-         */
-        public static function getRawTags(){
-            return \Illuminate\View\Compilers\BladeCompiler::getRawTags();
-        }
-        
-        /**
-         * Sets the raw tags used for the compiler.
-         *
-         * @param string $openTag
-         * @param string $closeTag
-         * @return void 
-         * @static 
-         */
-        public static function setRawTags($openTag, $closeTag){
-            \Illuminate\View\Compilers\BladeCompiler::setRawTags($openTag, $closeTag);
-        }
-        
-        /**
-         * Sets the content tags used for the compiler.
-         *
-         * @param string $openTag
-         * @param string $closeTag
-         * @param bool $escaped
-         * @return void 
-         * @static 
-         */
-        public static function setContentTags($openTag, $closeTag, $escaped = false){
-            \Illuminate\View\Compilers\BladeCompiler::setContentTags($openTag, $closeTag, $escaped);
-        }
-        
-        /**
-         * Sets the escaped content tags used for the compiler.
-         *
-         * @param string $openTag
-         * @param string $closeTag
-         * @return void 
-         * @static 
-         */
-        public static function setEscapedContentTags($openTag, $closeTag){
-            \Illuminate\View\Compilers\BladeCompiler::setEscapedContentTags($openTag, $closeTag);
-        }
-        
-        /**
-         * Gets the content tags used for the compiler.
-         *
-         * @return string 
-         * @static 
-         */
-        public static function getContentTags(){
-            return \Illuminate\View\Compilers\BladeCompiler::getContentTags();
-        }
-        
-        /**
-         * Gets the escaped content tags used for the compiler.
-         *
-         * @return string 
-         * @static 
-         */
-        public static function getEscapedContentTags(){
-            return \Illuminate\View\Compilers\BladeCompiler::getEscapedContentTags();
-        }
-        
-        /**
-         * Set the echo format to be used by the compiler.
-         *
-         * @param string $format
-         * @return void 
-         * @static 
-         */
-        public static function setEchoFormat($format){
-            \Illuminate\View\Compilers\BladeCompiler::setEchoFormat($format);
-        }
-        
-        /**
-         * Get the path to the compiled version of a view.
-         *
-         * @param string $path
-         * @return string 
-         * @static 
-         */
-        public static function getCompiledPath($path){
-            //Method inherited from \Illuminate\View\Compilers\Compiler            
-            return \Illuminate\View\Compilers\BladeCompiler::getCompiledPath($path);
-        }
-        
-        /**
-         * Determine if the view at the given path is expired.
-         *
-         * @param string $path
-         * @return bool 
-         * @static 
-         */
-        public static function isExpired($path){
-            //Method inherited from \Illuminate\View\Compilers\Compiler            
-            return \Illuminate\View\Compilers\BladeCompiler::isExpired($path);
-        }
-        
-    }
-
-
-    class Bus extends \Illuminate\Support\Facades\Bus{
-        
-        /**
-         * Dispatch a command to its appropriate handler.
-         *
-         * @param mixed $command
-         * @return mixed 
-         * @static 
-         */
-        public static function dispatch($command){
-            return \Illuminate\Bus\Dispatcher::dispatch($command);
-        }
-        
-        /**
-         * Dispatch a command to its appropriate handler in the current process.
-         *
-         * @param mixed $command
-         * @param mixed $handler
-         * @return mixed 
-         * @static 
-         */
-        public static function dispatchNow($command, $handler = null){
-            return \Illuminate\Bus\Dispatcher::dispatchNow($command, $handler);
-        }
-        
-        /**
-         * Determine if the given command has a handler.
-         *
-         * @param mixed $command
-         * @return bool 
-         * @static 
-         */
-        public static function hasCommandHandler($command){
-            return \Illuminate\Bus\Dispatcher::hasCommandHandler($command);
-        }
-        
-        /**
-         * Retrieve the handler for a command.
-         *
-         * @param mixed $command
-         * @return bool|mixed 
-         * @static 
-         */
-        public static function getCommandHandler($command){
-            return \Illuminate\Bus\Dispatcher::getCommandHandler($command);
-        }
-        
-        /**
-         * Dispatch a command to its appropriate handler behind a queue.
-         *
-         * @param mixed $command
-         * @return mixed 
-         * @throws \RuntimeException
-         * @static 
-         */
-        public static function dispatchToQueue($command){
-            return \Illuminate\Bus\Dispatcher::dispatchToQueue($command);
-        }
-        
-        /**
-         * Set the pipes through which commands should be piped before dispatching.
-         *
-         * @param array $pipes
-         * @return $this 
-         * @static 
-         */
-        public static function pipeThrough($pipes){
-            return \Illuminate\Bus\Dispatcher::pipeThrough($pipes);
-        }
-        
-        /**
-         * Map a command to a handler.
-         *
-         * @param array $map
-         * @return $this 
-         * @static 
-         */
-        public static function map($map){
-            return \Illuminate\Bus\Dispatcher::map($map);
-        }
-        
-    }
-
-
-    class Cache extends \Illuminate\Support\Facades\Cache{
-        
-        /**
-         * Get a cache store instance by name.
-         *
-         * @param string|null $name
-         * @return mixed 
-         * @static 
-         */
-        public static function store($name = null){
-            return \Illuminate\Cache\CacheManager::store($name);
-        }
-        
-        /**
-         * Get a cache driver instance.
-         *
-         * @param string $driver
-         * @return mixed 
-         * @static 
-         */
-        public static function driver($driver = null){
-            return \Illuminate\Cache\CacheManager::driver($driver);
-        }
-        
-        /**
-         * Create a new cache repository with the given implementation.
-         *
-         * @param \Illuminate\Contracts\Cache\Store $store
-         * @return \Illuminate\Cache\Repository 
-         * @static 
-         */
-        public static function repository($store){
-            return \Illuminate\Cache\CacheManager::repository($store);
-        }
-        
-        /**
-         * Get the default cache driver name.
-         *
-         * @return string 
-         * @static 
-         */
-        public static function getDefaultDriver(){
-            return \Illuminate\Cache\CacheManager::getDefaultDriver();
-        }
-        
-        /**
-         * Set the default cache driver name.
-         *
-         * @param string $name
-         * @return void 
-         * @static 
-         */
-        public static function setDefaultDriver($name){
-            \Illuminate\Cache\CacheManager::setDefaultDriver($name);
-        }
-        
-        /**
-         * Register a custom driver creator Closure.
-         *
-         * @param string $driver
-         * @param \Closure $callback
-         * @return $this 
-         * @static 
-         */
-        public static function extend($driver, $callback){
-            return \Illuminate\Cache\CacheManager::extend($driver, $callback);
-        }
-        
-        /**
-         * Set the event dispatcher instance.
-         *
-         * @param \Illuminate\Contracts\Events\Dispatcher $events
-         * @return void 
-         * @static 
-         */
-        public static function setEventDispatcher($events){
-            \Illuminate\Cache\Repository::setEventDispatcher($events);
-        }
-        
-        /**
-         * Determine if an item exists in the cache.
-         *
-         * @param string $key
-         * @return bool 
-         * @static 
-         */
-        public static function has($key){
-            return \Illuminate\Cache\Repository::has($key);
-        }
-        
-        /**
-         * Retrieve an item from the cache by key.
-         *
-         * @param string $key
-         * @param mixed $default
-         * @return mixed 
-         * @static 
-         */
-        public static function get($key, $default = null){
-            return \Illuminate\Cache\Repository::get($key, $default);
-        }
-        
-        /**
-         * Retrieve multiple items from the cache by key.
-         * 
-         * Items not found in the cache will have a null value.
-         *
-         * @param array $keys
-         * @return array 
-         * @static 
-         */
-        public static function many($keys){
-            return \Illuminate\Cache\Repository::many($keys);
-        }
-        
-        /**
-         * Retrieve an item from the cache and delete it.
+         * Retrieve an item from the cache and delete it.
          *
          * @param string $key
          * @param mixed $default
@@ -2114,7 +1703,7 @@ namespace {
          *
          * @param string $key
          * @param mixed $value
-         * @param \DateTime|float|int $minutes
+         * @param \DateTime|int $minutes
          * @return void 
          * @static 
          */
@@ -2126,7 +1715,7 @@ namespace {
          * Store multiple items in the cache for a given number of minutes.
          *
          * @param array $values
-         * @param float|int $minutes
+         * @param int $minutes
          * @return void 
          * @static 
          */
